Subject: Re: bug#5396: Something in splash page causes Emacs to crash?

From: Kenichi Handa <[email-masked]>
Date: Sun, 31 Jan 2010 20:15:22 +0900

In article <[email-masked]>, Joseph Tam <[email-masked]> writes:

> I couldn't find any of these strings in the font server's repository,
> but I did find this font alias on the thin client's font repository:

>  	# Found in /usr/X11R6/lib/X11/fonts/75dpi/fonts.alias:
>  	75dpi/fonts.alias:"-adobe-helvetica-medium-r-normal-x-x-x-12-120-p-67-iso8859-1" "-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-15"

I see.  As it's an alias, this correct font name:
	-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-15
should be included in the list returned by
xfont_list_pattern even if we ignore that alias.  So, I've
just installed a fix to ginore such an errornous name.

Could you please try again with the latest code?

By the way, it seems that the alias name should be actually:
  -adobe-helvetica-medium-r-normal-x-12-120-x-x-p-67-iso8859-1
                                     ^^^^^^^^^^
---
Kenichi Handa
[email-masked]